# Reactionary Software

{ The "founder", fschmidt, sent me a link to his website on saidit after I posted about LRS. Here is how I interpret his take on technology -- as always I may misinterpret or distort something, for safety refer to the original website. ~drummyfish }

Reactionary software (reactionary meaning *opposing the [modern](modern.md), favoring the old*) is a kind of [software](software.md)/[technology](tech.md) philosophy opposing [modern](modern.md) technology and advocating [simplicity](kiss.md) as a basis of good technology (and possibly whole society); it is similar e.g. to [suckless](suckless.md) and our own [less retarded software](lrs.md), though it's not as "hardcore" [minimalist](minimalism.md) (e.g. it's okay with old versions of [Java](java.md) which we still consider kind of [bloated](bloated.md) and therefore [bad](bad.md)). Just as suckless and LRS, reactionary software notices the unbelievably degenerated state of "[modern](modern.md)" technology (reflecting the degenerate state of whole society) manifested in [bloat](bloat.md), overengineering, overcomplicating, user abuse, ugliness, [DRM](drm.md), [bullshit](bullshit.md) features, planned obsolescence, fragility etc., and advocates for rejecting it, for taking a step back to when technology was still sane (before 2000s). The website of reactionary software is at http://www.reactionary.software (on top it reads *Make software great again!*). There is also a nice forum at http://www.mikraite.org/Reactionary-Software-f1999.html (tho requires JS to register? WTF. LOL they even use [Discord](discord.md), that's just lame.).

**The biggest difference compared to suckless/LRS is that reactionary software focuses on the simplicity from user's point of view** (as stated on their forums). This is not in conflict with our views, we just additionally see the simplicity of internals as just as important.

The founder of reactionary software is fschmidt and he still seems to be the one who mostly defines it (just like [drummyfish](drummyfish.md) is at the moment basically solo controlling [LRS](lrs.md)), though there is a forum of people who follow him. The philosophy can potentially be extended beyond just software, to other fields of endeavor and potentially whole society -- the discussion of reactionary software revolves around wide context, e.g. things like philosophy, religion and [collapse](collapse.md) of society (fschmidt made a post where he applies Old Testament ideas to programming).

fschmidt seems to be a lot into religion and also has some related side projects with wider scope, e.g. [Arkians](arkians.md) which deals with society and [eugenics](eugenics.md). It seems to be trying to establish a community of "chosen people" (those who pass certain tests)  who selective breed to renew good genes in society. { **PLEASE DON'T JUMP TO CONCLUSIONS**, I just quickly skimmed through it -- people will probably freak out and start calling that guy a [Nazi](nazi.md) -- please don't, read his site first. I can't really say more about it as I didn't research it well, but he doesn't seem to be proposing violent solutions. Peace. ~drummyfish }

**What do [we](lrs.md) think about reactionary software?** The vibes are good, it basically seems like "suckless-lite" -- we agree with what they identify as causes of decline of modern technology, we like that they discuss wide context and the big picture and our solutions are aligned, in the same direction -- theirs are just not as radical, or maybe we just disagree on minor points. We may e.g. disagree on specific cases of software, for example they approve of old [Python](python.md), [Java](java.md) and lightweight [JavaScript](js.md) used on the [web](www.md) -- we see such software as unacceptable, it's too complex, unnecessary and from ground up designed badly. { As clarified on the forums, reactionary software focuses on the simplicity from user's perspective, not necessarily the simplicity of internals. ~drummyfish } Nevertheless we definitely see it as good this philosophy exists, it contributes to improving technology and it may provide an alternative to people who suffer from modern tech but suckless or LRS is too difficult for them to get into. The fact that more and more smaller communities with ideas similar to LRS come to life indicates the ideas themselves are alive and start to flourish, in a decentralized way -- this is good.



Examples of reactionary software include (examples from the site itself):

- **[bash](bash.md)**: Possibly the most popular [Unix](unix.md) shell. In hardocore minimalist circles bash is still considered bloated and/or [harmful](harmful.dm) due to its extensions over standard [Posix](posix.md) shell, but indeed compared to mainstream software bash is pretty KISS.
- **old versions of languages such as [Java](java.md) and [Python](python.md)**: TBH these are seriously [bloated](bloat.md) -- the older versions maybe not THAT much but still. Even if these language may appear minimal to the programmer (e.g. by syntax or concepts), they are necessarily extremely complicated on the inside (see [pseudominimalism](pseudominimalism.md)), even if just for their HUGE standard libraries.
- **[Mercurial](mercurial.md)**: OK, here the guy just bashes and shits on [git](git.md) for being extremely bloated and unusable -- of course, git is a bit bloated, but definitely not more than Java or Python. Not sure Mercurial is really so much better. { I have literally never touched Mercurial so I don't know, I just know that Git is a bit complex but still usable (just commit, push and pull) AND it doesn't even matter that much as my project do not depend on git, git is basically just a way for me to put my code on the internet and sync in between my machines. If git stops existing I can literally just use FTP or something. ~drummyfish }
- **[Luan](luan.md)**: Their own programming language. TODO: research it :)
- ...

## See Also

- [suckless](suckless.md)
- [KISS](kiss.md)
- [bitreich](bitreich.md)
- [LRS](lrs.md)